For the complete documentation index, see llms.txt. This page is also available as Markdown.

Access Scopes

List Access Scopes

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter access scopes by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
space_referencesstring[] · nullableOptional

List of space IDs or names to filter results by. If omitted, returns objects from all spaces. To return only objects that belong to no space, include the special value "null" in the list

Responses
200

OK

application/json
get/api/admin/v1/access-scopes
GET /api/admin/v1/access-scopes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "query": "text",
      "space": {
        "space_id": "text",
        "space_name": "text"
      },
      "creation_date": "text",
      "update_date": "text"
    }
  ],
  "pagination": {
    "next_page_token": "text"
  }
}

Create Access Scope

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
space_referencestring · nullableOptional

ID or name of the space where to create the resource. If null or empty, the object is created without a space

Body
namestringRequired

Display name of the access scope

descriptionstring · nullableOptional

Description of the access scope

querystringRequired

Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions

Responses
200

OK

application/json
idstringRequired

Unique identifier of the access scope

namestringRequired

Display name of the access scope

descriptionstring · nullableOptional

Description of the access scope

querystringRequired

Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

post/api/admin/v1/access-scopes
POST /api/admin/v1/access-scopes HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "name": "text",
  "description": "text",
  "query": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "query": "text",
  "space": {
    "space_id": "text",
    "space_name": "text"
  },
  "creation_date": "text",
  "update_date": "text"
}

Get Access Scope

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired

Unique identifier of the access scope

namestringRequired

Display name of the access scope

descriptionstring · nullableOptional

Description of the access scope

querystringRequired

Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

get/api/admin/v1/access-scopes/{id}
GET /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "query": "text",
  "space": {
    "space_id": "text",
    "space_name": "text"
  },
  "creation_date": "text",
  "update_date": "text"
}

Update Access Scope

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringRequired

Display name of the access scope

descriptionstring · nullableOptional

Description of the access scope

querystringRequired

Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions

Responses
200

OK

application/json
idstringRequired

Unique identifier of the access scope

namestringRequired

Display name of the access scope

descriptionstring · nullableOptional

Description of the access scope

querystringRequired

Apono Query Language (AQL) expression that defines filters for cloud resources, integrations, and permissions

creation_datestring · date-timeRequired

ISO 8601 formatted date-time

update_datestring · date-timeRequired

ISO 8601 formatted date-time

put/api/admin/v1/access-scopes/{id}
PUT /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "name": "text",
  "description": "text",
  "query": "text"
}
200

OK

{
  "id": "text",
  "name": "text",
  "description": "text",
  "query": "text",
  "space": {
    "space_id": "text",
    "space_name": "text"
  },
  "creation_date": "text",
  "update_date": "text"
}

Delete Access Scope

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204

No Content

No content

delete/api/admin/v1/access-scopes/{id}
DELETE /api/admin/v1/access-scopes/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated

Was this helpful?